# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [1.5.2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/compare/v1.5.1...v1.5.2) (2024-05-08)

### [1.5.1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/compare/v1.4.1...v1.5.1) (2024-05-07)

### [1.4.1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/compare/v1.3.2...v1.4.1) (2024-04-23)

### [1.3.2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/compare/v1.3.0...v1.3.2) (2024-04-23)

### [1.3.1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/compare/v1.3.0...v1.3.1) (2023-11-20)

## 1.3.0 (2023-11-08)


### Features

* add keep alive setting to force scan after x minutes to keep socket alive on some networks. ([765e534](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/765e5349d412ca0f3eca06e15a04fbde7ed49525))
* added wenglor b50 scanner support ([8b0ac20](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/8b0ac204b80e6268c0dd5a827cd76c87ae488b01))
* MES branding ([f8c6439](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/f8c6439d5b7adbf9a3098bd98010f0c7288671af))
* ruby 2.7 ([b028fc0](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/b028fc03565b82d5c8f184e404fa9d74cc955019))


### Bug Fixes

* added .idea to gitignore ([424e7c1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/424e7c1c8416a9f07c6c444c65f2e58a06600146))
* added connection schema cache clear to both sides ([0fd87d4](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/0fd87d455f912f316b5b11af113f7b6dead0005b))
* chores ([0cb4093](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/0cb409396f4df1402220f8105d0cbced7da70c95))
* chores ([041a8df](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/041a8df7e38d1959200c162a47fcbaf16fb065f0))
* chores ([e55ec1a](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/e55ec1aa0297cc7dc10140f692a15b7bfd71666f))
* chores ([7b02dc0](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/7b02dc0e520676f2dfea7d0e3d0004c4b306b6cf))
* migration reset models ([680484e](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/680484e845067d58a044f47556d8d3db4ce71932))
* migration test ([1ec50d4](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/1ec50d4a7fa4d6ad2a357e757bf884b0bd1167b9))
* On installs, Socket being capitalized would make it so require couldn't load the package ([38c5843](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/38c58438c918b8a81b301e9da8b1b1b6bc481c36))
* only jsonify parameters if they exist ([09544cc](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/09544cc935d4579a69806836bdd53862db15f167))
* ping regression ([8b83d1a](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/8b83d1ac68ce26412dd333d34c84395398527b43))
* Using Socket.tcp instead of TCPSocket, since tcp has a connection_timeout implemented already ([52dc7ee](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Scanners/commit/52dc7ee5c98616103b1799be2d06125e11a03deb))

## [1.1.0-pre.2](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Scanners/compare/v1.1.0-pre.1...v1.1.0-pre.2) (2023-10-26)


### Bug Fixes

* ping regression ([8b83d1a](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Scanners/commit/8b83d1ac68ce26412dd333d34c84395398527b43))

## [1.1.0-pre.1](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Scanners/compare/v1.1.0-pre.0...v1.1.0-pre.1) (2023-10-26)


### Bug Fixes

* migration reset models ([680484e](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Scanners/commit/680484e845067d58a044f47556d8d3db4ce71932))
* migration test ([1ec50d4](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Scanners/commit/1ec50d4a7fa4d6ad2a357e757bf884b0bd1167b9))
* only jsonify parameters if they exist ([09544cc](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Scanners/commit/09544cc935d4579a69806836bdd53862db15f167))

## [1.1.0-pre.0](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Scanners/compare/v1.0.0...v1.1.0-pre.0) (2023-10-25)


### Features

* added wenglor b50 scanner support ([8b0ac20](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Scanners/commit/8b0ac204b80e6268c0dd5a827cd76c87ae488b01))


### Bug Fixes

* added .idea to gitignore ([424e7c1](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Scanners/commit/424e7c1c8416a9f07c6c444c65f2e58a06600146))

## [1.0.0](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Scanners/compare/v0.2.2-pre.3...v1.0.0) (2023-05-31)

### [0.2.2-pre.3](https://git.satisloh.dev/rx-suite/modules/optional/scanners/compare/v0.2.2-pre.2...v0.2.2-pre.3) (2023-05-30)

### [0.2.2-pre.2](https://git.satisloh.dev/rx-suite/modules/optional/scanners/compare/v0.2.2-pre.1...v0.2.2-pre.2) (2023-05-12)

### [0.2.2-pre.1](https://git.satisloh.dev/rx-suite/modules/optional/scanners/compare/v0.2.2-pre.0...v0.2.2-pre.1) (2023-05-12)

### 0.2.2-pre.0 (2023-05-12)


### Features

* add keep alive setting to force scan after x minutes to keep socket alive on some networks. ([765e534](https://git.satisloh.dev/rx-suite/modules/optional/scanners/commit/765e5349d412ca0f3eca06e15a04fbde7ed49525))
* MES branding ([f8c6439](https://git.satisloh.dev/rx-suite/modules/optional/scanners/commit/f8c6439d5b7adbf9a3098bd98010f0c7288671af))
* ruby 2.7 ([b028fc0](https://git.satisloh.dev/rx-suite/modules/optional/scanners/commit/b028fc03565b82d5c8f184e404fa9d74cc955019))


### Bug Fixes

* chores ([0cb4093](https://git.satisloh.dev/rx-suite/modules/optional/scanners/commit/0cb409396f4df1402220f8105d0cbced7da70c95))
* chores ([041a8df](https://git.satisloh.dev/rx-suite/modules/optional/scanners/commit/041a8df7e38d1959200c162a47fcbaf16fb065f0))
* chores ([e55ec1a](https://git.satisloh.dev/rx-suite/modules/optional/scanners/commit/e55ec1aa0297cc7dc10140f692a15b7bfd71666f))
* chores ([7b02dc0](https://git.satisloh.dev/rx-suite/modules/optional/scanners/commit/7b02dc0e520676f2dfea7d0e3d0004c4b306b6cf))
* On installs, Socket being capitalized would make it so require couldn't load the package ([38c5843](https://git.satisloh.dev/rx-suite/modules/optional/scanners/commit/38c58438c918b8a81b301e9da8b1b1b6bc481c36))
* Using Socket.tcp instead of TCPSocket, since tcp has a connection_timeout implemented already ([52dc7ee](https://git.satisloh.dev/rx-suite/modules/optional/scanners/commit/52dc7ee5c98616103b1799be2d06125e11a03deb))

### [0.2.1](https://git.satisloh.dev///compare/v0.2.0-pre.12...v0.2.1) (2022-07-08)

## [0.2.0-pre.12](https://git.satisloh.dev/rx-suite/modules/optional/scanners/compare/v0.2.0-pre.11...v0.2.0-pre.12) (2022-06-24)

## [0.2.0-pre.11](https://git.satisloh.dev/rx-suite/modules/optional/scanners/compare/v0.2.0-pre.10...v0.2.0-pre.11) (2022-06-24)

## [0.2.0-pre.10](https://git.satisloh.dev/rx-suite/modules/optional/scanners/compare/v0.2.0-pre.9...v0.2.0-pre.10) (2022-06-24)

## [0.2.0-pre.9](https://git.satisloh.dev/rx-suite/modules/optional/scanners/compare/v0.2.0-pre.8...v0.2.0-pre.9) (2022-06-23)

## [0.2.0-pre.8](https://git.satisloh.dev///compare/v0.2.0-pre.7...v0.2.0-pre.8) (2022-06-23)

## [0.2.0-pre.7](https://git.satisloh.dev///compare/v0.2.0-pre.6...v0.2.0-pre.7) (2022-06-23)

## [0.2.0-pre.6](https://git.satisloh.dev/rx-suite/modules/optional/scanners/compare/v0.2.0-pre.5...v0.2.0-pre.6) (2022-06-23)

## [0.2.0-pre.5](https://git.satisloh.dev/rx-suite/modules/optional/scanners/compare/v0.2.0-pre.4...v0.2.0-pre.5) (2022-06-23)

## [0.2.0-pre.4](https://git.satisloh.dev///compare/v0.2.0-pre.3...v0.2.0-pre.4) (2022-06-23)

## [0.2.0-pre.3](https://git.satisloh.dev///compare/v0.2.0-pre.2...v0.2.0-pre.3) (2022-06-23)

## [0.2.0-pre.2](https://git.satisloh.dev/rx-suite/modules/optional/scanners/compare/v0.2.0-pre.1...v0.2.0-pre.2) (2022-06-23)

## [0.2.0-pre.1](https://git.satisloh.dev///compare/v0.1.32-pre.0...v0.2.0-pre.1) (2022-06-23)

### [0.1.32-pre.0](https://git.satisloh.dev/rx-suite/modules/optional/scanners/compare/v0.1.31...v0.1.32-pre.0) (2022-06-22)


### Features

* ruby 2.7 ([b028fc0](https://git.satisloh.dev/rx-suite/modules/optional/scanners/commit/b028fc03565b82d5c8f184e404fa9d74cc955019))

### [0.1.31](http://omics.dyndns.biz:4747/rx-suite/modules/optional/scanners/compare/v0.1.30...v0.1.31) (2021-09-14)

### [0.1.30](http://omics.dyndns.biz:4747///compare/v0.1.29...v0.1.30) (2021-09-14)

### [0.1.29](http://omics.dyndns.biz:4747///compare/v0.1.28...v0.1.29) (2021-06-08)

### [0.1.28](http://omics.dyndns.biz:4747///compare/v0.1.27...v0.1.28) (2021-06-08)

### [0.1.27](http://omics.dyndns.biz:4747///compare/v0.1.26...v0.1.27) (2021-06-01)


### Features

* add keep alive setting to force scan after x minutes to keep socket alive on some networks. ([765e534](http://omics.dyndns.biz:4747///commit/765e5349d412ca0f3eca06e15a04fbde7ed49525))

### [0.1.26](http://omics.dyndns.biz:4747///compare/v0.1.25...v0.1.26) (2021-05-21)

### [0.1.25](http://omics.dyndns.biz:4747///compare/v0.1.24...v0.1.25) (2021-05-19)

### 0.1.24 (2021-04-21)


### Bug Fixes

* chores ([0cb4093](http://omics.dyndns.biz:4747///commit/0cb409396f4df1402220f8105d0cbced7da70c95))
* chores ([041a8df](http://omics.dyndns.biz:4747///commit/041a8df7e38d1959200c162a47fcbaf16fb065f0))
* chores ([e55ec1a](http://omics.dyndns.biz:4747///commit/e55ec1aa0297cc7dc10140f692a15b7bfd71666f))
* chores ([7b02dc0](http://omics.dyndns.biz:4747///commit/7b02dc0e520676f2dfea7d0e3d0004c4b306b6cf))
* On installs, Socket being capitalized would make it so require couldn't load the package ([38c5843](http://omics.dyndns.biz:4747///commit/38c58438c918b8a81b301e9da8b1b1b6bc481c36))
* Using Socket.tcp instead of TCPSocket, since tcp has a connection_timeout implemented already ([52dc7ee](http://omics.dyndns.biz:4747///commit/52dc7ee5c98616103b1799be2d06125e11a03deb))

### [0.1.23](http://omics.dyndns.biz:4747///compare/v0.1.22...v0.1.23) (2021-03-09)

### [0.1.22](http://omics.dyndns.biz:4747///compare/v0.1.21...v0.1.22) (2021-03-09)


### Bug Fixes

* chores ([041a8df](http://omics.dyndns.biz:4747///commit/041a8df7e38d1959200c162a47fcbaf16fb065f0))
* chores ([e55ec1a](http://omics.dyndns.biz:4747///commit/e55ec1aa0297cc7dc10140f692a15b7bfd71666f))
* chores ([7b02dc0](http://omics.dyndns.biz:4747///commit/7b02dc0e520676f2dfea7d0e3d0004c4b306b6cf))
* Using Socket.tcp instead of TCPSocket, since tcp has a connection_timeout implemented already ([52dc7ee](http://omics.dyndns.biz:4747///commit/52dc7ee5c98616103b1799be2d06125e11a03deb))

### [0.1.21](http://omics.dyndns.biz:4747///compare/v0.1.20...v0.1.21) (2020-10-29)

### [0.1.20](http://omics.dyndns.biz:4747///compare/v0.1.19...v0.1.20) (2020-10-15)

### [0.1.19](http://omics.dyndns.biz:4747///compare/v0.1.14...v0.1.19) (2020-10-13)

### [0.1.14](http://omics.dyndns.biz:4747///compare/v0.1.13...v0.1.14) (2020-10-13)

### [0.1.13](http://omics.dyndns.biz:4747///compare/v0.1.12...v0.1.13) (2020-08-11)

### [0.1.12](http://omics.dyndns.biz:4747///compare/v0.1.11...v0.1.12) (2020-07-20)

### [0.1.11](http://omics.dyndns.biz:4747///compare/v0.1.10...v0.1.11) (2020-07-16)

### [0.1.10](http://omics.dyndns.biz:4747///compare/v0.1.9...v0.1.10) (2020-05-27)

### [0.1.9](http://omics.dyndns.biz:4747///compare/v0.1.8...v0.1.9) (2020-05-26)

### [0.1.8](http://omics.dyndns.biz:4747///compare/v0.1.7...v0.1.8) (2020-03-16)

### [0.1.7](http://omics.dyndns.biz:4747///compare/v0.1.6...v0.1.7) (2020-03-12)

### [0.1.6](http://omics.dyndns.biz:4747///compare/v0.1.5...v0.1.6) (2020-03-12)

### [0.1.5](http://omics.dyndns.biz:4747///compare/v0.1.4...v0.1.5) (2020-03-11)

### [0.1.4](http://omics.dyndns.biz:4747///compare/v0.1.3...v0.1.4) (2020-03-11)

### [0.1.3](http://omics.dyndns.biz:4747///compare/v0.1.2...v0.1.3) (2020-03-11)

### [0.1.2](http://omics.dyndns.biz:4747///compare/v0.1.1...v0.1.2) (2020-03-11)

### 0.1.1 (2020-03-11)
