class KeepAlive < RxModule::Routine
  class << self
    def frequency
      '1m'
    end

    def work
      if Setting.instance.enable_keep_alive
        Scanner.all.each do |scanner|
          if !scanner.last_read_time || scanner.last_read_time < Time.now - Setting.instance.keep_alive_interval.minute
            scanner.scan
          end
        end
      end
    end
  end
end
