class CreateScanners < ActiveRecord::Migration[6.0]
  def change
    create_table :scanners do |t|
      t.string :name
      t.string :make
      t.string :scanner_model
      t.datetime :last_read_time
      t.string :last_read_value

      t.string :ip_address
      t.string :subnet_mask
      t.string :gateway_address

      t.boolean :whole_memory
      t.integer :start_position, :default => 0
      t.integer :end_position
      t.boolean :tagid, :default => false
      t.timestamps
    end
  end
end
